Bug 167762 - Gui does not presserv or allow kernel boot options to be set for a diskless system
Gui does not presserv or allow kernel boot options to be set for a diskless s...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Brich
Depends On:
  Show dependency treegraph
Reported: 2005-09-07 17:14 EDT by brian
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 0.1.33-1_EL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 08:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description brian 2005-09-07 17:14:33 EDT
Description of problem:
The gui tool does not allow one to set kernel boot options for a diskless
client.  If changes are made to the pxelinux.cfg file of that diskless client
the gui will destroy the changes made if used later to adjust the diskless
clients settings.  There needs to be a way to set kernel boot options and have
them be persistent to the diskless client.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jason Vas Dias 2005-09-22 13:28:10 EDT
This bug is fixed with system-config-netboot-0.1.33-1_EL4, available from:

Options entered manually into pxelinux.cfg/ files ARE preserved, UNLESS they
are options that are always generated and set by system-config-netboot - these
options must always be set only by the GUI:
 'initrd', 'root', 'init', 'ks', 'method', 'ip', 'console',
 'ramdisk_size', 'NFSROOT', 'SNAPSHOT', 'ETHERNET'
All other kernel / anaconda boot options can be manually set in the cfg file
and their values will be preserved accross cfg file modifications by s-c-nb.
Comment 2 Fedora Update System 2005-09-22 13:57:42 EDT
From User-Agent: XML-RPC

system-config-netboot-0.1.33-1_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.